version: '3'
services:

  mariadb:
    container_name: mariadbnextcloud
    image: mariadb
    command: --transaction-isolation=READ-COMMITTED --binlog-format=ROW --innodb-read-only-compressed=OFF
    restart: unless-stopped
    volumes:
      - /media/virtual/nextcloud/database:/var/lib/mysql
    environment:
      - MYSQL_ROOT_PASSWORD=REDACTED
      - MYSQL_PASSWORD=REDACTED
      - MYSQL_DATABASE=nextcloud
      - MYSQL_USER=nextcloud

  nextcloud:
    container_name: nextcloud
    image: nextcloud
    restart: unless-stopped
    depends_on:
      - mariadb
    ports:
      - 8083:80
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=America/Chicago
    volumes:
      - /home/jay/configs/nextcloud/html:/var/www/html
      - /home/jay/configs/nextcloud/custom_apps:/var/www/html/custom_apps
      - /home/jay/configs/nextcloud/config:/var/www/html/config
      - /media/virtual/nextcloud/data:/var/www/html/data
      - /home/jay/configs/nextcloud/themes:/var/www/html/themes/
